__all__ = ["XmlSchemaValidator"]

from abc import ABC, abstractmethod

from api_compose.core.logging import get_logger
from api_compose.services.common.processors.base import BaseProcessor
from api_compose.services.common.registry.processor_registry import ProcessorRegistry, ProcessorType, \
    PrceossorCategory
from api_compose.services.composition_service.models.schema_validatiors.schema_validators import \
    XmlSchemaValidatorModel
from api_compose.services.composition_service.processors.schema_validators.base_schema_validator import \
    BaseSchemaValidator

logger = get_logger(__name__)


@ProcessorRegistry.set(
    processor_type=ProcessorType.Builtin,
    processor_category=PrceossorCategory.SchemaValidator,
    models=[
        XmlSchemaValidatorModel(id='OK', schema_id='200'),
    ]
)
class XmlSchemaValidator(BaseSchemaValidator, ABC):
    """
    validate

    """

    def __init__(
            self,
            *args,
            **kwargs,
    ):
        super().__init__(*args, **kwargs)

    def validate(self):
        super().validate()

        if self.is_setup_success:
            pass
